Bug 228193 - /boot/loader.conf option boot_mute not working properly
Summary: /boot/loader.conf option boot_mute not working properly
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 11.1-RELEASE
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-12 10:58 UTC by joeb1
Modified: 2019-04-21 03:15 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description joeb1 2018-05-12 10:58:16 UTC
boot_mute="YES" option

This option is intended to suppress all boot time messages following the timed delay message. Only the boot prob messages are being suppressed. All the starting services messages are NOT being suppressed. 

The boot time logic for starting services need to be made aware of the boot_mute="YES" option and suppress their services starting messages when this option is enabled.
Comment 1 commit-hook freebsd_committer 2018-05-16 02:15:46 UTC
A commit references this bug:

Author: emaste
Date: Wed May 16 02:15:19 UTC 2018
New revision: 333662
URL: https://svnweb.freebsd.org/changeset/base/333662

Log:
  Clarify that boot_mute / boot -m mutes kernel console only

  Perhaps RB_MUTE could mute user startup (rc) output as well, but right
  now it mutes only kernel console output, so make the documentation match
  reality.

  PR:		228193
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/sbin/reboot/boot_i386.8
  head/stand/man/loader.8
Comment 2 Warner Losh freebsd_committer 2019-01-07 08:00:31 UTC
emaste fixed this in the documentation before the 12 branch. Closing.
Comment 3 commit-hook freebsd_committer 2019-04-21 03:15:38 UTC
A commit references this bug:

Author: kevans
Date: Sun Apr 21 03:15:12 UTC 2019
New revision: 346471
URL: https://svnweb.freebsd.org/changeset/base/346471

Log:
  MFC r333662: Clarify that boot_mute / boot -m mutes kernel console only

  Perhaps RB_MUTE could mute user startup (rc) output as well, but right
  now it mutes only kernel console output, so make the documentation match
  reality.

  PR:		228193

Changes:
_U  stable/11/
  stable/11/sbin/reboot/boot_i386.8
  stable/11/stand/man/loader.8